#!/bin/bash

. /usr/local/Reductor/etc/const
. $CONFIG

main() {
	[ "${reductorupdate['autoupdate']}" != '1' ] && exit 0

	if [ "$((RANDOM%100))" -gt 30 ]; then
		log "Пропускаем, несмотря на наличие новой версии."
		exit 255
	fi

	if ! check_version; then
		log "Пропускаем, новых версий нет."
		exit 0
	fi

	log "Запускаем обновление на новую версию.."
	$BINDIR/autoupdate.sh auto
}

main
