#!/bin/bash

. /usr/local/Reductor/etc/const
. $CONFIG

[ -s $LISTDIR/https.resolv ] || exit 0

lookup() {
	timeout -s 15 1s chroot $CHROOTDIR nslookup "$1" | grep -A 1000 ^Name | egrep -o "$ip_regex" | while read line; do echo -e "$1\t$line"; done
}

echo "- Резолвим IP адреса https-ресурсов" >&2
cp /etc/resolv.conf $CHROOTDIR/etc/resolv.conf
echo 'nameserver 8.8.8.8' >> $CHROOTDIR/etc/resolv.conf
while read domain _; do
    lookup "$domain"
done < $LISTDIR/https.resolv
