#!/bin/bash

! tr ':' ' ' < /proc/net/dev | grep "[0-9]" | awk '{print $1" "$5}' | grep -v ' 0$' | while read dev _; do
	if [ "$(ethtool -g $dev | grep RX: | sort -u | wc -l)" -gt 1 ]; then
		echo "# $dev fail"
		maximum="$(ethtool -g $dev | grep RX: | sort -u | tail -1 | awk '{print $2}')"
		echo "echo \"ETHTOOL_OPTS='-G $dev rx $maximum'\" >> /etc/sysconfig/network-scripts/ifcfg-$dev"
	fi
done
