#!/bin/bash

. /usr/local/Reductor/etc/const
. $CONFIG

if [ "${filter['https_by_nslookup']}" = '0' ]; then
	echo "Пропускаем resolv" >&2
	exit 0
fi

echo "- Забираем данные резолва https-ресурсов (${1:-ip})" >&2

if [ ! -s $LISTDIR/https.resolv ]; then
	log "Подозрительно, но $LISTDIR/https.resolv пустой, вероятно отключена фильтрация https / nslookup" >&2
	exit 0
fi

. $CHROOTDIR/virtualenv/bin/activate
python -u $CHROOTDIR/virtualenv/bin/domainlist2iplist.py "${1:-ip}" | sort -u
deactivate
