#!/bin/bash

. /usr/local/Reductor/bin/setup_network.sh :
br_id="${1:-1}"
eth="${2:-eth1}"

for tag in $tags; do
  bridge_dev=br$((br_id++))
  genconfig conf=/etc/sysconfig/network-scripts/ifcfg-$bridge_dev tmplt=ifcfg-bridge bridge=$bridge_dev ip=$(get_free_ip)
  genconfig conf=/etc/sysconfig/network-scripts/ifcfg-$eth.$tag   tmplt=ifcfg-vlan   bridge=$bridge_dev ip=$(get_free_ip) tag=$tag eth=$eth
done
