#!/bin/bash

. /usr/local/Reductor/etc/const

if [ "${1:-}" = 'start' ]; then
	if [ -s $HOOKDIR/networks.block ]; then
		iptables -N custom_redirects
		iptables -F custom_redirects
		chroot $CHROOTDIR /sbin/iptables -I FORWARD -p tcp --tcp-flags PSH PSH --dport 80 -m reductor --list 'reductor' -j custom_redirects
		while read network url; do
			[ "${network:0:1}" = '#' ] && continue
			chroot $CHROOTDIR iptables -A custom_redirects -p tcp -s $network -j FORBIDDEN --forbidden-url "$url"
		done < $HOOKDIR/networks.block
	fi
fi
