#!/bin/bash

. /usr/local/Reductor/etc/const
. $MAINDIR/usr/share/angel_lib
. $CONFIG

check() {
	[ "${autoupdate['enabled']}" != '1' ] && return 0

	local file=$SSLDIR/php/register.zip
	if ! [ -f $file ]; then
		log "Отсутствует $file" >> $LOGFILE
		local file=$SSLDIR/php/dump.xml
		if ! [ -f $file ]; then
			log "Отсутствует $file" >> $LOGFILE
			return 1
		fi
	fi
	last_modify_date=$(stat -c "%Y" $file)
	current_date=$(date +%s)
        delta="$((current_date - last_modify_date))"
	[ -z "$last_modify_date" ] && return 1
	[ -z "$current_date" ] && return 2
	if ! [ "$delta" -lt "$((60*60*12))" ]; then
	        log dates: last_modify_date=$last_modify_date current_date=$current_date delta=$delta
		return 3
	fi
}

fix() {
	$BINDIR/update.sh | __code
}

error() {
	log "Предположительно список РКН не обновлялся более 6 часов"
}

main
